from setuptools import setup, find_packages

setup(
    name="nova-assistant",
    version="0.1.2",
    author="Suraj Sharma",
    description="A smart AI Glasses, assistant with real-time vision, speech recognition, and object detection, in advance AI powered glasses.",
    packages=find_packages(),
    install_requires=[
        "google-generativeai",
        "opencv-python",
        "readchar",
    ],
    entry_points={
        "console_scripts": [
            "nova-assistant=nova_assistant.assistant:main",
        ],
    },
    classifiers=[
        "Programming Language :: Python :: 3",
        "Operating System :: OS Independent",
    ],
    python_requires=">=3.7",
)
